LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Structures | Functions | Variables
paramspecial.h File Reference

Go to the source code of this file.

## Data Structures
struct | lives_special_framedraw_rect_t
struct | lives_special_aspect_t
struct | lives_special_mergealign_t

## Functions
void | init_special (void)
void | add_to_special (const char *special_string, lives_rfx_t *)
void | check_for_special (lives_rfx_t *, lives_param_t *param, LiVESBox *)
void | fd_connect_spinbutton (lives_rfx_t *)
void | fd_tweak (lives_rfx_t *)
void | after_aspect_width_changed (LiVESSpinButton *, livespointer)
void | after_aspect_height_changed (LiVESToggleButton *, livespointer)
void | special_cleanup (void)
void | setmergealign (void)
void | set_aspect_ratio_widgets (lives_param_t *w, lives_param_t *h)
boolean | is_perchannel_multi (lives_rfx_t *rfx, int pnum)

## Variables
lives_special_mergealign_t | mergealign

## Function Documentation

void add_to_special | ( | const char * | special_string,
|  | lives_rfx_t * |
| ) |  |

void after_aspect_height_changed | ( | LiVESToggleButton * | ,
|  | livespointer |
| ) |  |

void after_aspect_width_changed | ( | LiVESSpinButton * | ,
|  | livespointer |
| ) |  |

void check_for_special | ( | lives_rfx_t * | ,
|  | lives_param_t * | param,
|  | LiVESBox * |
| ) |  |

void fd_connect_spinbutton | ( | lives_rfx_t * |  | ) |

void fd_tweak | ( | lives_rfx_t * |  | ) |

void init_special | ( | void |  | ) |

boolean is_perchannel_multi | ( | lives_rfx_t * | rfx,
|  | int | pnum
| ) |  |

void set_aspect_ratio_widgets | ( | lives_param_t * | w,
|  | lives_param_t * | h
| ) |  |

void setmergealign | ( | void |  | ) |

void special_cleanup | ( | void |  | ) |

## Variable Documentation

lives_special_mergealign_t mergealign